2019-10-14 12:49 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001576FSSCPgameplaypublic2008-02-22 02:05
ReporterGoober5000 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001576: Game does not clean up properly after mission load failure
DescriptionLoad a mission that has a significant parse error in it. Click through all the error warnings until you pass "Attempt to load the mission failed". Now try to load a new mission. You will run into the following assertion:


Assert: Game_loading_callback_inited==0
File: freespace.cpp
Line: 3071


Call stack:
------------------------------------------------------------------
    game_start_mission() game_enter_state() gameseq_set_state() game_process_event() gameseq_process_events() game_main() WinMain() WinMainCRTStartup() kernel32.dll 7c816fd7()
------------------------------------------------------------------
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008854

taylor (administrator)

Should be fixed in the next Xt build.

~0008889

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-01-17 07:23 Goober5000 New Issue
2008-01-17 07:24 Goober5000 Description Updated
2008-02-09 06:54 taylor Status new => assigned
2008-02-09 06:54 taylor Assigned To => taylor
2008-02-09 06:54 taylor Note Added: 0008854
2008-02-22 02:05 taylor Status assigned => resolved
2008-02-22 02:05 taylor Fixed in Version => 3.6.10
2008-02-22 02:05 taylor Resolution open => fixed
2008-02-22 02:05 taylor Note Added: 0008889
+Issue History